<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.rv.version">

    <uses-permission android:name="android.permission.DOWNLOAD_WITHOUT_NOTIFICATION" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />

    <application>

        <receiver android:name="com.rv.version.receiver.UpdateAppReceiver">
            <intent-filter>
                <action android:name="teprinciple.update" />
            </intent-filter>
        </receiver>

        <provider
            android:name="android.support.v4.content.FileProvider"
            android:authorities="${applicationId}.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/update_file_paths" />
        </provider>

    </application>

</manifest>
